Bug 54074 - bash not drawing lines greater then 80 chars correctly in gnome-terminal
Summary: bash not drawing lines greater then 80 chars correctly in gnome-terminal
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Mason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-26 21:26 UTC by Need Real Name
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 20:41:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-09-26 21:26:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4+) Gecko/20010921

Description of problem:
  Using bash -o vi in a maximized gnome-terminal
(stty -a says rows 46; columns 124; line = 0; )
window when I have type more then 80 chars it wraps to the
begining of the line instead of continuing to the end of the window. I
would expect it at least to make it to the full 124
chars before wrapping. And then it should wrap to the next line
the way it does when you have an 80 char window.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start gnome-terminal window
2.Maximize window
3.type more then 80 chars
	

Actual Results:  chars after 80 wrap to the begining of the same line.

Expected Results:  chars should go to edge of window, then wrap to next lin

Additional info:

Comment 1 Bernhard Rosenkraenzer 2001-09-27 12:22:38 UTC
This is a gnome-terminal problem, works perfectly in konsole (which is the 
same thing from bash's standpoint).


Comment 2 Kjartan Maraas 2004-03-29 20:41:24 UTC
Closing as fixed.


Note You need to log in before you can comment on or make changes to this bug.